/* NVTV actions -- Dirk Thierbach <dthierbach@gmx.de>
 *
 * This is open software protected by the GPL. See GPL.txt for details.
 *
 * Header: Intermediate layer. Contains tv actions, X actions and card
 *   access.
 */

#ifndef _ACTIONS_H
#define _ACTIONS_H

#include <X11/Xlib.h>

#include "tv_chip.h"
#include "nv_type.h"
#include "main.h"

void tv_on (NVPtr pNv);
void tv_off (NVPtr pNv, Bool have_crt);
void tv_bars (NVPtr pNv);
void tv_set (NVPtr pNv);
void tv_exit (NVPtr pNv);

int tv_connect (NVPtr pNv);
char *tv_version (NVPtr pNv);
int tv_status (NVPtr pNv);

void print_crt_regs (TVCrtcRegs *m, CardType card);
void print_tv_regs (TVEncoderRegs *r, TVChip chip);

void probe_system (CardPtr card_list);

Bool has_vidmode (Display *display);
void switch_vidmode (Display *display, int screen, int res_x, int res_y);

typedef void (*make_vidmode) (int hdisplay, int hsyncstart, int hsyncend, 
  int htotal, int vdisplay, int vsyncstart, int vsyncend, int vtotal, 
  int dotclock, TVCrtcRegs *crt);

Bool get_vidmode (Display *display, int screen, int *res_x, int *res_y, 
  TVCrtcRegs *crt, make_vidmode make);
Bool find_vidmode (Display *display, int screen, int res_x, int res_y, 
  TVCrtcRegs *crt, make_vidmode make);

void center_window (Display *display, int screen, Window window,
  int res_x, int res_y);

Window Select_Window (Display *dpy, int screen);
Window Window_With_Name (Display *dpy, Window top, char *name);

#endif
