/* NVTV main -- Dirk Thierbach <dthierbach@gmx.de>
 *
 * This is open software protected by the GPL. See GPL.txt for details.
 *
 * Global variables.
 */

#ifndef _MAIN_H
#define _MAIN_H

#include "tv_chip.h"

typedef struct _OptIntDecl {
  char *name;
  int min, max;
  int *addr;
} OptIntDecl;

typedef struct _OptIntVal {
  int val;
  int *addr;
  struct _OptIntVal *link;
} OptIntVal;

typedef struct _OptFlagDecl {
  char *name;
  int mask;
  int *addr_val;
  int *addr_mask;
} OptFlagDecl;

void modifySet (TVSettings *s, OptIntVal *m); /* only opt_set for now */

extern OptIntVal *opt_set_act;

extern Bool opt_no_root;
extern TVSystem opt_system;      /* use if != TV_SYSTEM_NONE */

extern TVConnect opt_connect;    /* use if != CONNECT_NONE */
extern TVSettings opt_set;

extern TVChip opt_tv_chip;       /* use if != TV_NO_CHIP */
extern Window opt_window;        /* use if != None */

extern int opt_res_x, opt_res_y; /* use if both != -1 */
extern float opt_hoc, opt_voc;   /* use if both != -1.0 */ 
extern char *opt_size;           /* use if != NULL */

extern int opt_head;             /* use if != -1 */

extern int opt_service_flags;
extern int opt_service_mask;

extern int opt_mode_flags;
extern int opt_mode_mask;

#endif


